aboutsummaryrefslogtreecommitdiff
path: root/src/tenshi/rc-script
diff options
context:
space:
mode:
authorAdrian C. (anrxc) <anrxc@sysphere.org>2012-11-25 21:24:58 +0100
committerAdrian C. (anrxc) <anrxc@sysphere.org>2012-11-25 21:24:58 +0100
commit16262790cb6ddacf6c632625cc865e03b1b8671f (patch)
tree09898d65deef518380915ecdc7575756c9ca8595 /src/tenshi/rc-script
parent7bb1499a7cd539f714bb7f603d7fc0a38fd8a963 (diff)
downloadrcdscripts-16262790cb6ddacf6c632625cc865e03b1b8671f.tar.xz
rcdscripts: import first snapshot of rc.d scripts as of 11.25.20122012.11.25
In 30 days these scripts will start dissapearing from official Arch Linux packages. This is an attempt to conserve them, and keep sysvinit usable.
Diffstat (limited to 'src/tenshi/rc-script')
-rwxr-xr-xsrc/tenshi/rc-script62
1 files changed, 62 insertions, 0 deletions
diff --git a/src/tenshi/rc-script b/src/tenshi/rc-script
new file mode 100755
index 0000000..2ce96f0
--- /dev/null
+++ b/src/tenshi/rc-script
@@ -0,0 +1,62 @@
+#!/bin/bash
+
+# source application-specific settings
+[ -f /etc/conf.d/tenshi ] && . /etc/conf.d/tenshi
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`cat $TENSHI_PID 2>/dev/null`
+
+start() {
+ stat_busy "Starting Tenshi log monitor"
+ [ -z "$PID" ] && /usr/sbin/tenshi $TENSHI_OPTIONS
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon tenshi
+ stat_done
+ fi
+}
+
+stop() {
+ stat_busy "Stopping Tenshi log monitor"
+ [ ! -z "$PID" ] && kill $PID
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm -f $TENSHI_PID
+ rm_daemon tenshi
+ stat_done
+ fi
+}
+
+reload() {
+ stat_busy "Reloading Tenshi log monitor"
+ [ ! -z "$PID" ] && kill -HUP $PID
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ stat_done
+ fi
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ # calling 'stop' and 'start' without the $0 fails...
+ $0 stop
+ $0 start
+ ;;
+ reload)
+ reload
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart|reload}"
+esac
+exit 0